Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.client
Class TLSParams

    java.lang.Object
      com.sun.appserv.management.client.TLSParams

public final class TLSParams
extends java.lang.Object

Class encapsulating parameters available for use with TLS.

See Also:
  `TrustStoreTrustManager`, `TrustAnyTrustManager`, `HandshakeCompletedListenerImpl`

Constructor Summary
`TLSParams(java.io.File trustStore, char[] trustStorePassword, boolean prompt, javax.net.ssl.HandshakeCompletedListener handshakeCompletedListener)`
`TLSParams(javax.net.ssl.X509TrustManager[] trustManagers, javax.net.ssl.HandshakeCompletedListener handshakeCompletedListener)`
`TLSParams(javax.net.ssl.X509TrustManager trustManager, javax.net.ssl.HandshakeCompletedListener handshakeCompletedListener)`

Method Summary
`javax.net.ssl.HandshakeCompletedListener` | `getHandshakeCompletedListener()`
`javax.net.ssl.X509TrustManager[]` | `getTrustManagers()`
`static javax.net.ssl.X509TrustManager[]` | `getTrustManagers(java.io.File trustStore, char[] trustStorePassword, boolean prompt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TLSParams

    public TLSParams(java.io.File trustStore,
                     char[] trustStorePassword,
                     boolean prompt,
                     javax.net.ssl.HandshakeCompletedListener handshakeCompletedListener)

Parameters:
  `trustStore` -
  `trustStorePassword` -
  `prompt` -
  `handshakeCompletedListener` - (may be null)

### TLSParams

    public TLSParams(javax.net.ssl.X509TrustManager[] trustManagers,
                     javax.net.ssl.HandshakeCompletedListener handshakeCompletedListener)

Parameters:
  `trustManagers` -
  `handshakeCompletedListener` - (may be null)

### TLSParams

    public TLSParams(javax.net.ssl.X509TrustManager trustManager,
                     javax.net.ssl.HandshakeCompletedListener handshakeCompletedListener)

Parameters:
  `trustManager` -
  `handshakeCompletedListener` - (may be null)

Method Detail

### getTrustManagers

    public static javax.net.ssl.X509TrustManager[] getTrustManagers(java.io.File trustStore,
                                                                    char[] trustStorePassword,
                                                                    boolean prompt)

### getTrustManagers

    public javax.net.ssl.X509TrustManager[] getTrustManagers()

### getHandshakeCompletedListener

    public javax.net.ssl.HandshakeCompletedListener getHandshakeCompletedListener()

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.